POST api/Order
Request Information
URI Parameters
None.
Body Parameters
PlaceOrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Currency | string |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| OrderLines | Collection of PlaceOrderLineDto |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentMethod | string |
None. |
|
| IsSubscription | boolean |
None. |
|
| ShopId | globally unique identifier |
None. |
|
| IsFree | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"currency": "sample string 1",
"personId": "f0005370-ed9e-43b1-8e50-9cfc4503ad3b",
"orderLines": [
{
"count": 1,
"campaignId": "ed389f9a-1e86-48e9-9745-5fe953e4d05c",
"productId": "388cc814-aaf7-42f7-ba7c-0a4555e854af"
},
{
"count": 1,
"campaignId": "ed389f9a-1e86-48e9-9745-5fe953e4d05c",
"productId": "388cc814-aaf7-42f7-ba7c-0a4555e854af"
}
],
"deliveryMethod": "sample string 2",
"paymentMethod": "sample string 3",
"isSubscription": true,
"shopId": "74e03390-1c48-4e37-bc25-2996708b5e47",
"isFree": true
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.